<!DOCTYPE html>
<html lang="fr">

    <head>

        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <title>Agence Tout Risques</title>

        <link rel="stylesheet" href="../css/normalize.css">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
        <link href='https://fonts.googleapis.com/css?family=Montserrat' rel='stylesheet'>
        <link rel="stylesheet" href="../css/style.css">
        
        <link rel="icon" href="../image/logo.png">

    </head>

    <body>
        
        <img class="image-top"src="https://www.elvia.ch/fr/en-route/couts-entretien-voiture/_jcr_content/root/stage/stageimage.img.82.3360.jpeg/1589383521132/elvia-unterhaltskosten-auto-ratgeber-unterwegs.jpeg">
        <h1 class="explorer mt-5">Explorer le monde</h1>
        <?php
            if (isset($_SESSION['id'])) {
                ?>
                    <form method="post">
                        <input type="submit" name="logout" value="Déconnexion" class="btn btn-danger header-button deconnexion"></input>
                    </form>
                    <button type="button" class="btn btn-primary header-button reservation" data-bs-toggle="modal" data-bs-target="#reservationModal">
                        Mes réservations
                    </button>
                    <div class="modal fade" id="reservationModal" tabindex="-1" aria-labelledby="reservationModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h1 class="modal-title fs-5" id="reservationModalLabel">Mes Reservations</h1>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <?php
                                        if ($data != null && $data[0]['id_reservation'] != null) {
                                            $i = 0;
                                            foreach ($data as $row) {
                                                $margin_top = $i == 0 ? ' margin-top' : '';
                                                ?>
                                                    <form method="post" id="reservationForm">
                                                        <input name="id_reservation" type="number" value="<?= $row['id_reservation'] ?>" class="btn btn-danger" hidden>
                                                        <input type="number" name="deleteReservation_key" value="<?= $_SESSION['deleteReservation'] ?>" hidden>
                                                        <input name="deleteReservation" value="Supprimer la réservation" class="btn btn-danger" hidden>
                                                    </form>
                                                    <div class="card w-75 start-50 translate-middle-x<?= $margin_top ?> margin-bottom" style="width: 18rem;">
                                                        <img src="../image/circuit/<?= $row['id_circuit'] ?>.png" class="card-img-top" alt="Image -> (<?= $row['nom'] ?>)">
                                                        <div class="card-body">
                                                            <ul class="list-group list-group-flush">
                                                                <h5 class="card-title"><?= $row['nom_voyage'] ?> (De <?= $row['ville_depart'] ?> à <?= $row['ville_arrive'] ?>)</h5>
                                                                <p class="card-text"><?= $row['description'] ?></p>
                                                                <li class="list-group-item">Date: <?= $row['dates_depart'] ?></li>
                                                                <li class="list-group-item">Durée: <?= $row['duree'] ?></li>
                                                                <li class="list-group-item">Nombre de personnes: <?= $row['nb_place'] ?></li>
                                                                <li class="list-group-item">Prix: <?= $row['prix_inscription'] * $row['nb_place'] + $row['prixTotal'] ?>€</li>
                                                                <button form="reservationForm" type="submit" class="btn btn-danger">Supprimer la réservation</button>
                                                            </ul>
                                                            
                                                        </div>
                                                    </div>
                                                <?php
                                                $i++;
                                            }
                                        } else {
                                            ?><p>Aucune réservation pour le moment.</p><?php
                                        }
                                    ?>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fermer</button>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php
            } else {
                ?>
                    <button type="button" class="btn btn-primary header-button deconnexion" data-bs-toggle="modal" data-bs-target="#InscriptionModal">
                        Inscription
                    </button>
                <?php
            }
        ?>
        <button type="button" class="btn btn-primary header-button" data-bs-toggle="modal" data-bs-target="#connectionModal">
            Connexion
        </button>
        <div class="modal fade" id="connectionModal" tabindex="-1" aria-labelledby="connectionModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <form method="post" class="modal-content">
                    <div class="modal-header">
                        <h1 class="modal-title fs-5" id="connectionModalLabel">Connexion</h1>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="mb-3">
                            <label for="connectionInputEmail1" class="form-label">Address Email</label>
                            <input id='email' type="email" name="email" class="form-control" id="connectionInputEmail1" aria-describedby="emailHelp" value="<?= $email ?>" required>
                        </div>
                        <div class="mb-3">
                            <label for="connectionInputPassword1" class="form-label">Mot De Passe</label>
                            <input type="password" name="password" class="form-control" id="connectionInputPassword1" value="<?= $password ?>" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="number" name="connection_key" value="<?= $_SESSION['connection'] ?>" hidden>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fermer</button>
                        <input type="submit" name="submit" class="btn btn-success" data-bs-dismiss="toast" data-bs-target="#toast" value="Connexion"></input>
                    </div>
                </form>
            </div>
        </div>
        <div class="modal fade" id="InscriptionModal" tabindex="-1" aria-labelledby="InscriptionModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <form method="post" class="modal-content">
                    <div class="modal-header">
                        <h1 class="modal-title fs-5" id="InscriptionModalLabel">Inscription</h1>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="mb-3">
                            <label for="InscriptionInputNom" class="form-label">Nom</label>
                            <input id='nom' type="text" name="nom" class="form-control" id="InscriptionInputNom" aria-describedby="emailHelp" value="" required>
                        </div>
                        <div class="mb-3">
                            <label for="InscriptionInputPrenom" class="form-label">Prenom</label>
                            <input id='prenom' type="text" name="prenom" class="form-control" id="InscriptionInputPrenom" aria-describedby="emailHelp" value="" required>
                        </div>
                        <div class="mb-3">
                            <label for="InscriptionInputEmail" class="form-label">Address Email</label>
                            <input id='email' type="email" name="email" class="form-control" id="InscriptionInputEmail" aria-describedby="emailHelp" value="" required>
                        </div>
                        <div class="mb-3">
                            <label for="InscriptionInputPassword" class="form-label">Mot De Passe</label>
                            <input type="password" name="password" class="form-control" id="InscriptionInputPassword" value="" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="number" name="inscription_key" value="<?= $_SESSION['inscription'] ?>" hidden>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fermer</button>
                        <input type="submit" name="inscription" class="btn btn-success" data-bs-dismiss="toast" data-bs-target="#toast" value="S'inscrire"></input>
                    </div>
                </form>
            </div>
        </div>
        <div id="toast" class="toast align-items-center text-bg-<?= $toastColor ?> border-0" role="alert" aria-live="assertive" aria-atomic="true">
            <div class="d-flex">
                <div class="toast-body align-items-center">
                    <p id="toastText" class="mb-0"><?= $toastText ?></p>
                </div>
                <button type="button" class="btn-close btn-close-white me-2 m-auto" data-bs-dismiss="toast" aria-label="Close"></button>
            </div>
        </div>
        

    </body>

</html>